<?php
#######################################################################
##                                                                   ##
## Cerulean Portal System: portal.php                                ##
## ----------------------------------------------------------------- ##
## The main portal script.                                           ##
##                                                                   ##
#######################################################################
##                                                                   ##
## Authors: Will 'Parry60' Light <c0d3rg33k7@yahoo.com>		   ##
##		Coverted phpBB Fetch All into template and added the	   ##
##		modules system.  Changed the name, too.			   ##
##											   ##
##		Volker 'Ca5ey' Rattel <ca5ey@clanunity.net>              ##
## 		Made the original phpBB Fetch All code which I am using. ##
## Version: 0.9.0 (pre-alpha)                                        ##
##                                                                   ##
## This file is free software; you can redistribute it and/or modify ##
## it under the terms of the GNU General Public License as published ##
## by the Free Software Foundation; either version 2, or (at your    ##
## option) any later version.                                        ##
##                                                                   ##
## This file is distributed in the hope that it will be useful,      ##
## but WITHOUT ANY WARRANTY; without even the implied warranty of    ##
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the      ##
## GNU General Public License for more details.                      ##
##                                                                   ##
#######################################################################

//
// This path points to the directory where phpBB is installed. Do
// not enter an URL here. The path must end with a trailing
// slash.
//
// Examples:
// forum in /aaa/bbb/ccc/ and script in /aaa/bbb/ccc/
// --> $phpbb_root_path = './';
// forum in /aaa/bbb/ccc/ and script in /aaa/bbb/
// --> $phpbb_root_path = './ccc/';
// forum in /aaa/bbb/ccc/ and script in /aaa/bbb/ddd/
// --> $phpbb_root_path = '../ccc/';
//

$phpbb_root_path = './';

define ('IN_PHPBB', true);
define ('IN_PORTAL', true);
define ('SHOW_ONLINE', true);

if (!file_exists($phpbb_root_path . 'extension.inc'))
{
    die ('<tt><b>Cerulean Portal System:</b>
          $phpbb_root_path is wrong and does not point to your forum.</tt>');
}

//
// phpBB related files
//

include_once ($phpbb_root_path . 'extension.inc');
include_once ($phpbb_root_path . 'common.' . $phpEx);
include_once ($phpbb_root_path . 'includes/bbcode.' . $phpEx);


include ($phpbb_root_path . 'portal/config.' . $phpEx);
include ($phpbb_root_path . 'portal/users.' . $phpEx);
include ($phpbb_root_path . 'portal/stats.' . $phpEx);
include ($phpbb_root_path . 'portal/common.' . $phpEx);
include ($phpbb_root_path . 'portal/forums.' . $phpEx);
include ($phpbb_root_path . 'portal/polls.' . $phpEx);
include ($phpbb_root_path . 'portal/posts.' . $phpEx);

//
// start session management
//

$userdata = session_pagestart($user_ip, PAGE_INDEX, $session_length);
init_userprefs($userdata);

//
// since we are demonstrating span pages we need to set the page offset
//

if (isset($HTTP_GET_VARS['start']) or isset($HTTP_POST_VARS['start'])) {
    $CFG['posts_span_pages_offset'] = isset($HTTP_GET_VARS['start']) ? $HTTP_GET_VARS['start'] : $HTTP_POST_VARS['start'];
}


// fetch user online, total posts, etc
$stats       = phpbb_fetch_stats();

// fetch five users by total posts
$top_poster  = phpbb_fetch_top_poster();

// fetch user of a specific group
$member      = phpbb_fetch_users();

// fetch a single topic by topic id
$download    = phpbb_fetch_topics();
// fetch a poll
$poll = phpbb_fetch_poll(5);

// fetch latest postings
$CFG['posts_trim_topic_number'] = 15;
$recent      = phpbb_fetch_posts(null, POSTS_FETCH_LAST, 6);

// fetch postings
$CFG['posts_trim_topic_number'] = 0;
$CFG['posts_span_pages']        = false;
$news        = phpbb_fetch_posts(4);

//
// ignore these settings - they are for my local server
//

#$forums      = phpbb_fetch_forums(5);
#$member      = phpbb_fetch_users(83);
#$poll        = phpbb_fetch_poll(12);
#$download    = phpbb_fetch_topics(623);
#$CFG['posts_trim_topic_number'] = 25;
#$recent      = phpbb_fetch_posts(12, POSTS_FETCH_LAST);
#$CFG['posts_trim_topic_number'] = 0;
#$CFG['posts_span_pages'] = true;
#$news        = phpbb_fetch_posts(11);



$page_title = 'Portal';
include($phpbb_root_path . 'includes/page_header.' . $phpEx);
$template->set_filenames(array(
	'body' => 'portal_body.tpl')
);


// And now, the amazing module system!

$defaultmod = 'news';

if (file_exists($phpbb_root_path . 'modules/' . $module . '.' .
$phpEx)) {
include($phpbb_root_path . 'modules/' . $module . '.' . $phpEx);
} else {
include($phpbb_root_path . 'modules/' . $defaultmod . '.' . $phpEx);
}


$template->assign_vars(array(
	'PHPBB_ROOT_PATH' => $phpbb_root_path
 ) );
$template->pparse('body');
$template->set_rootdir($current_template_path);
include($phpbb_root_path . 'includes/page_tail.' . $phpEx);

//
// disconnect from the database
//

phpbb_disconnect();

?>
